| netctlgui 1.4.7 Qt library which interacts with netctl

- Main Page
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Attributes | List of all members
netctlWifiInfo Struct Reference

WiFi information structure. More...

## Public Attributes
QList< int > | frequencies
QStringList | macs
QString | name
QString | security
int | signal = 0
PointType | type = PointType::None
bool | active = false
bool | exists = false

## Detailed Description

WiFi information structure.

## Member Data Documentation

netctlWifiInfo::active = false

whether associated profile is active

netctlWifiInfo::exists = false

whether associated profile exists

netctlWifiInfo::frequencies

point frequencies

netctlWifiInfo::macs

point MAC addresses

netctlWifiInfo::name

ESSID

netctlWifiInfo::security

may be "WPA2", "WEP", "WEP", "none"

netctlWifiInfo::signal = 0

Wifi point signal

netctlWifiInfo::type = PointType::None

WiFi point type

The documentation for this struct was generated from the following file:

- wpasupinteract.h